Skip to main content
`Ctrl`+`K`

# PetscLogEventSetActiveAll

Turns on logging of all events

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventSetActiveAll(PetscLogEvent event, PetscBool isActive)

Not Collective

## Input Parameters

- event - The event id

- isActive - The activity flag determining whether the event is logged

## See Also

Profiling, `PetscLogEventActivate()`, `PetscLogEventDeactivate()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages